# Enum Class Compilation.Status

java.lang.Object
java.lang.Enum<Compilation.Status>
com.google.testing.compile.Compilation.Status

All Implemented Interfaces:
  `Serializable, Comparable<Compilation.Status>, Constable`

Enclosing class:
  `Compilation`

public static enum Compilation.Status extends Enum<Compilation.Status>
The status of a compilation.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FAILURE`
Compilation finished with errors.
`SUCCESS`
Compilation finished without errors.

## Method Summary

Modifier and Type
Method
Description
`static Compilation.Status`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Compilation.Status[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SUCCESS

public static final Compilation.Status SUCCESS
Compilation finished without errors.

### FAILURE

public static final Compilation.Status FAILURE
Compilation finished with errors.

## Method Details

### values

public static Compilation.Status[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Compilation.Status valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null